
/**
 * Title:        Programming utilities for java<p>
 * Description:  Holds a collection of useful classes and methods
 * for java development.<p>
 * Copyright:    Copyright (c) <p>
 * Company:      DFKI GmbH<p>
 * @author
 * @version 1.0
 */
package dfki.util.debug;

public class AbstractDebugHolder implements DebugHolder
{

    public AbstractDebugHolder()
    {
        mDebug = null;
    }

    public AbstractDebugHolder( String moduleName )
    {
        mDebug = Debug.forModule( moduleName );
    }

    public Debug debug()
    {
        return( mDebug );
    }

    public void debug( Debug d )
    {
        mDebug = d;
    }

    private Debug mDebug = null;
}