/**
 * GNU Lesser General Public License
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation,
 * version 2.1 of the License.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA  02111-1307, USA.
 *
 * Company:      DFKI GmbH<p>
 * @author Andreas Lauer
 * @version 1.0
 */

package dfki.util.servlet;

import javax.servlet.http.*;
import javax.servlet.*;

import java.io.PrintWriter;
import java.io.IOException;

import java.util.LinkedList;

public class DebugHttpServletResponse implements HttpServletResponse
{
    public PrintWriter getWriter () throws IOException { return( new PrintWriter( System.out ) ); }
    public void setContentType(String type) {}

    public void addCookie(Cookie cookie) {}
    public boolean containsHeader(String name) { return( false ); }
    public void setStatus(int sc, String sm) {}
    public void setStatus(int sc) {}
    public void setHeader(String name, String value) {}
    public void setIntHeader(String name, int value) {}
    public void setDateHeader(String name, long date) {}
    public void sendError(int sc, String msg) throws IOException {}
    public void sendError(int sc) throws IOException {}
    public void sendRedirect(String location) throws IOException {}
    public String encodeUrl (String url) { return( url ); }
    public String encodeRedirectUrl (String url) { return( url ); }

    public void setContentLength(int len) {}

    public ServletOutputStream getOutputStream() throws IOException { return( null ); }
    public String getCharacterEncoding() { return( "" ); }

}
