package dfki.util.debug;

/**
 * Title:        RDFSchemaGrapher
 * Description:
 * Copyright:    Copyright (c) DFKI GmbH
 * Company:      DFKI GmbH
 * @author Andreas Lauer
 * @version 1.0
 */

import java.io.PrintWriter;

public class PrintWriterAdapter implements Debug.MessageHandler
{
    public PrintWriterAdapter( PrintWriter pw )
    {
        mPrintWriter = pw;
    }

    public void println( String line )
    {
        mPrintWriter.println( line );
    }

    public void flush()
    {
        mPrintWriter.flush();
    }

    /*
    public void close()
    {
    }
    */

    private PrintWriter mPrintWriter;
}